Subject: Re: [Intel-wired-lan] [PATCH net v4 1/1] i40e: xsk: advance next_to_clean on status descriptors

From: Alessandro Decina <[email-masked]>
Date: Wed, 19 Nov 2025 11:49:44 +1100

On Tue, Nov 18, 2025 at 07:45:24PM +0100, Maciej Fijalkowski wrote:
> Repro steps would be nice to have, rest would be rather redundant to me.

Yeah unfortunately I don't really know how to _manually_ reproduce.

I don't know why I'm getting these status descriptors, but I'm getting
them reproducibly every few minutes on ubuntu 24.04 across 3 machines
where I've hit this bug/tested the fix. The machines are doing ~300Mbps
of UDP traffic, some of which is done using AF_XDP. The AF_XDP code is
TX only, so it's executing the build-skb-in-zc-path all the time as all
the ingress traffic goes to sockets. 

If you have any idea on how to reliably produce the descriptors I'm
happy to give it a try.